Package twisted :: Package web :: Module client

[show private | hide private]
[frames | no frames]

## Module twisted.web.client

HTTP client.

Classes
`HTTPClientFactory` |
`HTTPDownloader` |
`HTTPPageDownloader` |
`HTTPPageGetter` |

Function Summary
| `downloadPage(url, file, *args, **kwargs)`
| ``getPage`(url, *args, **kwargs)` download a web page
| `_parse(url)`

Variable Summary
`SelectReactor` | `reactor`

Function Details

### getPage(url, *args, **kwargs)

download a web page

Download a page. Return a deferred, which will callback with a page or errback with a description of the error.

Variable Details

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x82e8c8c>

Generated by Epydoc 1.1 on Thu May 8 13:19:05 2003 | http://epydoc.sf.net